<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>JS6</title>
</head>
<body>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
  <script>

        function createNewUser(){
            let user = {
                getLogin : function(){
                  alert((this.firstName.slice(0, 1) + this.lastName).toLowerCase());    
            }
            }; 
            user['firstName'] = prompt('Введите имя: ','');
            user['lastName'] = prompt('Введите фамилию', '');
          
            return user;
        }
      
      let user1 = new createNewUser();
      user1.getLogin();
      console.log(user1);
      
      
        
  </script>
</body>
</html>